Bug 213417 - devel/git: update to 2.10.1
Summary: devel/git: update to 2.10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 15:32 UTC by Mathieu Arnold
Modified: 2016-10-18 11:38 UTC (History)
0 users

See Also:
garga: maintainer-feedback+


Attachments
v1 (94.39 KB, patch)
2016-10-12 15:32 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-10-12 15:32:03 UTC
Created attachment 175669 [details]
v1

Update to 2.10.1.

Hook up to the test framework.

Sort the plist the same way make makeplist does, so that next updates are easier to work on.
Comment 1 Renato Botelho freebsd_committer 2016-10-13 14:21:01 UTC
Approved. Thank you!
Comment 2 commit-hook freebsd_committer 2016-10-13 14:29:30 UTC
A commit references this bug:

Author: mat
Date: Thu Oct 13 14:28:49 UTC 2016
New revision: 423921
URL: https://svnweb.freebsd.org/changeset/ports/423921

Log:
  Update to 2.10.1.

  Hook up to the test framework.

  Sort the plist the same way make makeplist does, so that next updates
  are easier to work on.

  PR:		213417
  Submitted by:	mat
  Approved by:	maintainer
  Sponsored by:	Absolight

Changes:
  head/devel/git/Makefile
  head/devel/git/distinfo
  head/devel/git/files/patch-Documentation__Makefile
  head/devel/git/files/patch-Makefile
  head/devel/git/pkg-plist
Comment 3 commit-hook freebsd_committer 2016-10-14 20:08:49 UTC
A commit references this bug:

Author: jbeich
Date: Fri Oct 14 20:08:44 UTC 2016
New revision: 423987
URL: https://svnweb.freebsd.org/changeset/ports/423987

Log:
  devel/git-cinnabar: chase r423921 by updating to 0.4.0.b3.6

  common-main.o: In function `main':
  common-main.c:(.text+0x0): multiple definition of `main'
  cinnabar-helper.o:../cinnabar-helper.c:(.text+0x1b0): first defined here
  cc: error: linker command failed with exit code 1 (use -v to see invocation)

  Changes:	https://github.com/glandium/git-cinnabar/compare/0.4.0b3...75f38ed
  PR:		213417 (for tracking)
  Reported by:	pkg-fallout

Changes:
  head/devel/git-cinnabar/Makefile
  head/devel/git-cinnabar/distinfo
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-18 11:38:07 UTC
Assign to committer that resolved